package lt.bit.SauktiniuSarasas.aspect;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.time.LocalDateTime;

import org.aspectj.lang.JoinPoint;
import org.aspectj.lang.annotation.Aspect;
import org.aspectj.lang.annotation.Before;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Component;

import lt.bit.SauktiniuSarasas.entities.Sauktinis;



@Aspect
@Component
public class SendNotificationEmail {
	
	
	
	@Before("execution(* lt.bit.SauktiniuSarasas.restControllers.SauktiniaiController.add(..))")
	public void beforeSauktinisGetById(JoinPoint jp) throws IOException {
		String name=( (Sauktinis) jp.getArgs()[0] ).getName();
		Authentication a=SecurityContextHolder.getContext().getAuthentication();
		
		
		LocalDateTime now=LocalDateTime.now();
		
		
		FileWriter fileWriter=new FileWriter("c:/log/log.txt", true);
		PrintWriter pw=new PrintWriter(fileWriter);
		pw.println("["+now.toString()+"] "+a.getName()+" pridejo nauja sauktini - "+name);
		pw.close();
		
	}
	
	

}
